local Faire = ...

Faire:registerAssetId("models/core.fbx/Prefab/Faire_Core", "PREFAB_FAIRE_CORE")

Faire:register({
	DataType = "BUILDING_PART",
	Id = "FAIRE_CORE",
	Name = "FAIRE_NAME",
	Description = "FAIRE_DESC",
	IsVisibleWhenBuilt = false,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FAIRE_CORE"
	}
})

Faire:register({
	DataType = "BUILDING",
	Id = "MEDIEVAL_FAIRE",
	Name = "FAIRE_NAME",
	Description = "FAIRE_DESC",
	BuildingType = "DECORATION",
	AssetCoreBuildingPart = "FAIRE_CORE",
	BuildingPartSetList = {
		{
			Name = "LIST_FAIRE_NAME",
	        BuildingPartList = {
				"TENT_BY_LONG_PART",
				"TENT_GW_LONG_PART",
				"TENT_RB_LONG_PART",
				"TENT_BY_LARGE_PART",
				"TENT_GW_LARGE_PART",
				"TENT_RB_LARGE_PART",
				"TENT_BY_SMALL_PART",
				"TENT_GW_SMALL_PART",
				"TENT_RB_SMALL_PART",
				"TENT_BY_MARKET_PART",
				"TENT_GW_MARKET_PART",
				"TENT_RB_MARKET_PART",
				"TENT_BY_VIKING_PART",
				"TENT_GW_VIKING_PART",
				"TENT_RB_VIKING_PART",
				"CANOPY_BY_PART",
				"CANOPY_GW_PART",
				"CANOPY_RB_PART",
				"CANOPY_BY_SLANTED_PART",
				"CANOPY_GW_SLANTED_PART",
				"CANOPY_RB_SLANTED_PART",
				"CANOPY_BY_LARGE_PART",
				"CANOPY_GW_LARGE_PART",
				"CANOPY_RB_LARGE_PART",
				"FENCE_FLAGS_BY_PART",
				"FENCE_FLAGS_GW_PART",
				"FENCE_FLAGS_RB_PART",
				"STANDS_PART",
				"STANDS_COVERED_PART",
				"STAGE_PART",
				"STAIRS_WOODEN_PART",
				"GATE_PART",
				"GATE_ROPE_PART",
				"TENT_VIKING_PART"
			}
		},
		{
			Name = "LIST_JOUSTING_NAME",
	        BuildingPartList = {
				"QUINTAIN1",
				"QUINTAIN2",
				"RACK_LANCES",
				"FENCE_BARRIER_PART",
			}
		},
		{
			Name = "LIST_SHIELDS_NAME",
	        BuildingPartList = {
				"SHIELD1_PART",
				"SHIELD2_PART",
				"SHIELD3_PART",
				"SHIELD4_PART",
				"SHIELD5_PART",
				"SHIELD6_PART"
			}
		},
		{
			Name = "LIST_BANNERS_NAME",
	        BuildingPartList = {
				"GATE_FLAGS_BY_PART",
				"GATE_FLAGS_GW_PART",
				"GATE_FLAGS_RB_PART",
				"BACKDROP_RED_PART",
				"BACKDROP_ORANGE_PART",
				"BACKDROP_GREEN_PART",
				"BACKDROP_BLUE_PART",
				"BACKDROP_TEAL_PART",
				"BACKDROP_PURPLE_PART",
			}
		},
		{
			Name = "LIST_FLAGS_NAME",
	        BuildingPartList = {
				"FLAG_POLE1_PART",
				"FLAG_POLE2_PART",
				"FLAG_POLE3_PART",
				"FLAG1_PART",
				"FLAG2_PART",
				"FLAG3_PART",
				"FLAG4_PART",
				"FLAG5_PART",
				"FLAG6_PART",
				"FLAG7_PART",
				"FLAG8_PART",
				"FLAG9_PART",
				"FLAG10_PART",
				"FLAG11_PART",
				"FLAG12_PART",
				"FLAG13_PART",
				"FLAG14_PART",
				"FLAG15_PART",
				"FLAG16_PART",
				"FLAG17_PART",
				"FLAG18_PART",
				"FLAG19_PART",
				"FLAG20_PART",
				"FLAG21_PART",
				"FLAG22_PART",
				"FLAG23_PART",
				"FLAG24_PART",
			}
		}
    }
})